## $Id: pages.py 10806 2013-11-28 17:33:07Z henrik $
##
## Copyright (C) 2011 Uli Fouquet & Henrik Bettermann
## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 2 of the License, or
## (at your option) any later version.
##
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
##
## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software
## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
##
import grok
from waeup.kofa.browser.pages import (
    SessionConfigurationAddFormPage, SessionConfigurationManageFormPage,
    LoginPage, CertificatePage, CertificateManageFormPage,
    CertificateAddFormPage,
    CoursePage, CourseAddFormPage, CourseManageFormPage)
from waeup.kofa.university.interfaces import ICertificate, ICourse
from kofacustom.ekodisco.interfaces import (
    ICustomSessionConfiguration, ICustomSessionConfigurationAdd)

class CustomSessionConfigurationAddFormPage(SessionConfigurationAddFormPage):
    """Add a session configuration object to configuration container.
    """
    form_fields = grok.AutoFields(ICustomSessionConfigurationAdd)

class CustomSessionConfigurationManageFormPage(SessionConfigurationManageFormPage):
    """Manage session configuration object.
    """
    form_fields = grok.AutoFields(ICustomSessionConfiguration)

class CustomCourseAddFormPage(CourseAddFormPage):
    """Add-form to add course to a department.
    """
    form_fields = grok.AutoFields(ICourse).select('title', 'code')

class CustomCoursePage(CoursePage):
    """Course index page.
    """
    form_fields = grok.AutoFields(ICourse).select('title', 'code')

class CustomCourseManageFormPage(CourseManageFormPage):
    """Edit form page for courses.
    """

    form_fields = grok.AutoFields(ICourse).select('title')

class CustomCertificateAddFormPage(CertificateAddFormPage):
    """Add-form to add Certificate to a department.
    """
    form_fields = grok.AutoFields(ICertificate).select(
        'title', 'code', 'application_category', 'school_fee_1')

class CustomCertificatePage(CertificatePage):
    """Certificate index page.
    """
    form_fields = grok.AutoFields(ICertificate).select(
        'title', 'code', 'application_category', 'school_fee_1')

class CustomCertificateManageFormPage(CertificateManageFormPage):
    """Edit form page for Certificates.
    """

    form_fields = grok.AutoFields(ICertificate).select(
        'title', 'application_category', 'school_fee_1')